<?php

namespace MiniLog;

class AppLogger
{
    // Prevent calling new on class
    private function __construct() {}

    private static $logger;

    public static function init(array $options=[])
    {
        self::$logger = new Logger($options);
        return self::$logger;
    }

    public static function log($level, $fmt, ...$args)
    {
        if (!is_object(self::$logger)) self::init();
        self::$logger->log($level, $fmt, ...$args);
    }

    public static function debug($fmt, ...$args)
    {
        self::log('debug', $fmt, ...$args);
    }

    public static function info($fmt, ...$args)
    {
        self::log('info', $fmt, ...$args);
    }

    public static function notice($fmt, ...$args)
    {
        self::log('notice', $fmt, ...$args);
    }

    public static function warn($fmt, ...$args)
    {
        self::log('warn', $fmt, ...$args);
    }

    public static function error($fmt, ...$args)
    {
        self::log('error', $fmt, ...$args);
    }
}
